# Class CalculatorParser

java.lang.Object
org.apfloat.calc.CalculatorParser

All Implemented Interfaces:
  `CalculatorParserConstants`

public class CalculatorParser extends Object implements CalculatorParserConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Token`
  `jj_nt`
  Next token.
  `Token`
  `token`
  Current token.
  `CalculatorParserTokenManager`
  `token_source`
  Generated Token Manager.

  ### Fields inherited from interface CalculatorParserConstants

  `DECIMAL, DEFAULT, DELIMITER, DIGIT, EOF, EOL, IDENTIFIER, IMAGINARY, INTEGER, INVALID_CHAR, LETTER, tokenImage`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalculatorParser(InputStream stream)`
  Constructor with InputStream.
  `CalculatorParser(InputStream in, OutputStream out, CalculatorImpl calculatorImpl)`
  `CalculatorParser(InputStream stream, String encoding)`
  Constructor with InputStream and supplied encoding
  `CalculatorParser(Reader stream)`
  Constructor.
  `CalculatorParser(Reader in, PrintWriter out, CalculatorImpl calculatorImpl)`
  `CalculatorParser(Reader in, Writer out, CalculatorImpl calculatorImpl)`
  `CalculatorParser(CalculatorParserTokenManager tm)`
  Constructor with generated Token Manager.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Number`
  `additiveExpression()`
  `final List<Number>`
  `argumentList()`
  `final Number`
  `assignmentExpression()`
  `final Number`
  `constant()`
  `final void`
  `disable_tracing()`
  Disable tracing.
  `final Number`
  `element()`
  `final void`
  `enable_tracing()`
  Enable tracing.
  `final Number`
  `expression()`
  `final Number`
  `factorialExpression()`
  `final Number`
  `function()`
  `ParseException`
  `generateParseException()`
  Generate ParseException.
  `final Token`
  `getNextToken()`
  Get the next Token.
  `final Token`
  `getToken(int index)`
  Get the specific Token.
  `final String`
  `identifier()`
  `final Number`
  `multiplicativeExpression()`
  `final boolean`
  `parseOneLine()`
  `final Number`
  `powerExpression()`
  `void`
  `ReInit(InputStream stream)`
  Reinitialise.
  `void`
  `ReInit(InputStream stream, String encoding)`
  Reinitialise.
  `void`
  `ReInit(Reader stream)`
  Reinitialise.
  `void`
  `ReInit(CalculatorParserTokenManager tm)`
  Reinitialise.
  `final boolean`
  `trace_enabled()`
  Trace enabled.
  `final Number`
  `unaryExpression()`
  `final String`
  `variable()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### token_source

    public CalculatorParserTokenManager token_source
    Generated Token Manager.

  - ### token

    public Token token
    Current token.

  - ### jj_nt

    public Token jj_nt
    Next token.

- ## Constructor Details

  - ### CalculatorParser

    public CalculatorParser(InputStream in, OutputStream out, CalculatorImpl calculatorImpl)

  - ### CalculatorParser

    public CalculatorParser(Reader in, Writer out, CalculatorImpl calculatorImpl)

  - ### CalculatorParser

    public CalculatorParser(Reader in, PrintWriter out, CalculatorImpl calculatorImpl)

  - ### CalculatorParser

    public CalculatorParser(InputStream stream)
    Constructor with InputStream.

  - ### CalculatorParser

    public CalculatorParser(InputStream stream, String encoding)
    Constructor with InputStream and supplied encoding

  - ### CalculatorParser

    public CalculatorParser(Reader stream)
    Constructor.

  - ### CalculatorParser

    public CalculatorParser(CalculatorParserTokenManager tm)
    Constructor with generated Token Manager.

- ## Method Details

  - ### parseOneLine

    public final boolean parseOneLine() throws ParseException
    Throws:
      `ParseException`

  - ### expression

    public final Number expression() throws ParseException
    Throws:
      `ParseException`

  - ### assignmentExpression

    public final Number assignmentExpression() throws ParseException
    Throws:
      `ParseException`

  - ### additiveExpression

    public final Number additiveExpression() throws ParseException
    Throws:
      `ParseException`

  - ### multiplicativeExpression

    public final Number multiplicativeExpression() throws ParseException
    Throws:
      `ParseException`

  - ### unaryExpression

    public final Number unaryExpression() throws ParseException
    Throws:
      `ParseException`

  - ### powerExpression

    public final Number powerExpression() throws ParseException
    Throws:
      `ParseException`

  - ### factorialExpression

    public final Number factorialExpression() throws ParseException
    Throws:
      `ParseException`

  - ### element

    public final Number element() throws ParseException
    Throws:
      `ParseException`

  - ### variable

    public final String variable() throws ParseException
    Throws:
      `ParseException`

  - ### function

    public final Number function() throws ParseException
    Throws:
      `ParseException`

  - ### argumentList

    public final List<Number> argumentList() throws ParseException
    Throws:
      `ParseException`

  - ### identifier

    public final String identifier() throws ParseException
    Throws:
      `ParseException`

  - ### constant

    public final Number constant() throws ParseException
    Throws:
      `ParseException`

  - ### ReInit

    public void ReInit(InputStream stream)
    Reinitialise.

  - ### ReInit

    public void ReInit(InputStream stream, String encoding)
    Reinitialise.

  - ### ReInit

    public void ReInit(Reader stream)
    Reinitialise.

  - ### ReInit

    public void ReInit(CalculatorParserTokenManager tm)
    Reinitialise.

  - ### getNextToken

    public final Token getNextToken()
    Get the next Token.

  - ### getToken

    public final Token getToken(int index)
    Get the specific Token.

  - ### generateParseException

    public ParseException generateParseException()
    Generate ParseException.

  - ### trace_enabled

    public final boolean trace_enabled()
    Trace enabled.

  - ### enable_tracing

    public final void enable_tracing()
    Enable tracing.

  - ### disable_tracing

    public final void disable_tracing()
    Disable tracing.